summaryrefslogtreecommitdiffstats
path: root/hooks/maybe-merged-usr/extract00.sh
diff options
context:
space:
mode:
Diffstat (limited to 'hooks/maybe-merged-usr/extract00.sh')
-rwxr-xr-xhooks/maybe-merged-usr/extract00.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/hooks/maybe-merged-usr/extract00.sh b/hooks/maybe-merged-usr/extract00.sh
new file mode 100755
index 0000000..dc88450
--- /dev/null
+++ b/hooks/maybe-merged-usr/extract00.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -eu
+
+env --chdir="$1" APT_CONFIG="$MMDEBSTRAP_APT_CONFIG" apt-get update --error-on=any
+
+# if the usr-is-merged package cannot be installed with apt, do nothing
+if ! env --chdir="$1" APT_CONFIG="$MMDEBSTRAP_APT_CONFIG" apt-cache show --no-all-versions usr-is-merged > /dev/null 2>&1; then
+ echo "no package called usr-is-merged found -- not running merged-usr extract hook" >&2
+ exit 0
+else
+ echo "package usr-is-merged found -- running merged-usr extract hook" >&2
+fi
+
+# resolve the script path using several methods in order:
+# 1. using dirname -- "$0"
+# 2. using ./hooks
+# 3. using /usr/share/mmdebstrap/hooks/
+for p in "$(dirname -- "$0")/.." ./hooks /usr/share/mmdebstrap/hooks; do
+ if [ -x "$p/merged-usr/setup00.sh" ] && [ -x "$p/merged-usr/extract00.sh" ] && [ -x "$p/merged-usr/essential00.sh" ]; then
+ "$p/merged-usr/extract00.sh" "$1"
+ exit 0
+ fi
+done
+
+echo "cannot find merged-usr hook anywhere" >&2
+exit 1